import { ILogEntry } from "./ILogEntry";
export declare type LogCallback = (author?: string, level?: string, message?: string, meta?: {
    [key: string]: any;
}) => void;
export interface ILogMethod<Logger> {
    (level: string, message: string, callback?: LogCallback): Logger;
    (level: string, message: string, meta: {
        [key: string]: any;
    }, callback?: LogCallback): Logger;
    (entry: ILogEntry, callback?: LogCallback): Logger;
}
export interface ILeveledLogMethod<Logger> {
    (message: string, callback?: LogCallback): Logger;
    (message: string, meta: {
        [key: string]: any;
    }, callback?: LogCallback): Logger;
}
export interface ILogger {
    log: ILogMethod<ILogger>;
    error: ILeveledLogMethod<ILogger>;
    warn: ILeveledLogMethod<ILogger>;
    info: ILeveledLogMethod<ILogger>;
    debug: ILeveledLogMethod<ILogger>;
    [key: string]: any;
}
